VirtualBox

Ticket #7295 (closed defect: fixed)

Opened 4 years ago

Last modified 4 years ago

shared folder broken for subdirectories not owned by vbox user

Reported by: hajma Owned by:
Priority: major Component: shared folders
Version: VirtualBox 3.2.8 Keywords:
Cc: Guest type: Solaris
Host type: Solaris

Description

I am not able to access folders in a shared folder when these folders are owned by another user. Even though they have 755/777 permissions. An

at host:

-bash-4.0$ ls -ln /xvms/sharedsources/|grep testdir
drwxr-xr-x   2 115      10             3 Aug  9 19:01 testdir
drwxr-xr-x   2 100      10             2 Aug  9 19:34 testdir2
-bash-4.0$ id
uid=115(hajma) gid=10(staff)

#(virtualbox is running under the user hajma)

at guest:

test@opensolaris:~$ id
uid=101(test) gid=10(staff) groups=10(staff)
test@opensolaris:~$ pfexec mount -F vboxfs -o uid=101,gid=10 sharedsources /export/home/test/a
test@opensolaris:~$ ls -ln a|grep testdir
drwxr-xr-x 1 101 10          3 2010-08-09 17:01 testdir
drwxr-xr-x 1 101 10          2 2010-08-09 17:34 testdir2
test@opensolaris:~$ ls -ln a/testdir
total 1
-rw-r--r-- 1 101 10 6 2010-08-09 17:01 aa
test@opensolaris:~$ ls -ln a/testdir2
ls: reading directory a/testdir2: Not a directory
total 0

now, this is not really consistent and it can get more interesting:

test@opensolaris:~$ pfexec umount sharedsources
test@opensolaris:~$ pfexec mount -F vboxfs -o uid=101,gid=10 sharedsources /export/home/test/a
test@opensolaris:~$ ls -ln a/testdir2
total 0
test@opensolaris:~$ touch a/testdir2/c

#now virtualbox is locked up. no reaction even in the vrdp console #CPU is at 100% #I have to kill it #truss -fF -p pid-of-vbox gives

...
29823/14:           Received signal #14, SIGALRM, in sigtimedwait() [caught]
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/14:       sigtimedwait(0xFFFFFD7FFDABDEB0, 0xFFFFFD7FFDABDC40, 0x00000000) = SIGALRM
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
29823/10:       ioctl(11, _ION('V', 192, 0), 0x00000000)        = 0
...

pstack:

# pstack 29823
29823:  /opt/VirtualBox/amd64/VBoxHeadless -s koronabuildvm
-----------------  lwp# 1 / thread# 1  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffb3e2d5d VBoxNsprPR_WaitCondVar () + 6b
 fffffd7ffb3e3069 VBoxNsprPR_Wait () + 46
 fffffd7ffb3af38d VBoxNsplPL_WaitForEvent () + 35
 fffffd7ffb3b0f4c _ZN16nsEventQueueImpl12WaitForEventEPP7PLEvent () + 28
 fffffd7ffb444edf _ZN3com10EventQueue12waitForEventEPPNS_5EventE () + 5f
 fffffd7ffb43fc81 TrustedMain () + 1771
 00000000004035c0 SUPR3HardenedMain () + 260
 00000000004028bc _start () + 6c
-----------------  lwp# 2 / thread# 2  --------------------
 fffffd7fff2be3ca waitid   (2, 747f, fffffd7ffefaee00, 3)
 fffffd7fff2670b4 waitpid () + 5c
 fffffd7ffb3dd7ff WaitPidDaemonThread () + 57
 fffffd7ffb3e36aa _pt_root () + 90
 fffffd7ffb3e376f _pt_iprt_root () + c
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 3 / thread# 3  --------------------
 fffffd7fff2bdbba pollsys  (fffffd7ffef8dcb0, 2, 0, 0)
 fffffd7fff25bcca poll () + 62
 fffffd7ffb3e184e _pr_poll_with_poll () + 3b4
 fffffd7ffb3e19d9 VBoxNsprPR_Poll () + 9
 fffffd7ffb22d7f1 _Z10ConnThreadPv () + 41
 fffffd7ffb3e36aa _pt_root () + 90
 fffffd7ffb3e376f _pt_iprt_root () + c
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 4 / thread# 4  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffb3e2d5d VBoxNsprPR_WaitCondVar () + 6b
 fffffd7ffb3e3069 VBoxNsprPR_Wait () + 46
 fffffd7ffb228a4a _ZN14DConnectWorker3RunEv () + 11a
 fffffd7ffb3b28ce _ZN8nsThread4MainEPv () + 2e
 fffffd7ffb3e36aa _pt_root () + 90
 fffffd7ffb3e376f _pt_iprt_root () + c
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 5 / thread# 5  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62f5b6 _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 206
 fffffd7ffa649c08 _ZN10HGCMThread6MsgGetEPP11HGCMMsgCore () + 38
 fffffd7ffa64a11e _Z10hgcmMsgGetjPP11HGCMMsgCore () + 4e
 fffffd7ffa64bd73 _Z10hgcmThreadjPv () + 23
 fffffd7ffa649539 _Z20hgcmWorkerThreadFuncP11RTTHREADINTPv () + 39
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 7 / thread# 7  --------------------
 fffffd7fff2bdbba pollsys  (fffffd7ffedfad30, 2, fffffd7ffedfaec0, 0)
 fffffd7fff2611f4 pselect () + 18c
 fffffd7fff261708 select () + 70
 fffffd7ffa1c1f8d _ZN16VRDPTCPTransport6ListenEv () + 12d
 fffffd7ffa1c2484 _ZN10VRDPServer11InputThreadEP11RTTHREADINTP25_VRDPServerThreadStartCtx () + 64
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 8 / thread# 8  --------------------
 fffffd7fff2b4de7 lwp_park (0, fffffd7ffedb7760, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae5f9 cond_wait_common () + 1e1
 fffffd7fff2ae866 __cond_timedwait () + 5e
 fffffd7fff2ae8ff cond_timedwait () + 27
 fffffd7fff2ae931 pthread_cond_timedwait () + 9
 fffffd7ffe62f4ce _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 11e
 fffffd7ffa1be984 _ZN10VRDPServer12OutputThreadEP11RTTHREADINTP25_VRDPServerThreadStartCtx () + 3b4
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 9 / thread# 9  --------------------
 fffffd7fff2b4de7 lwp_park (0, fffffd7ffed6fe60, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae5f9 cond_wait_common () + 1e1
 fffffd7fff2ae866 __cond_timedwait () + 5e
 fffffd7fff2ae8ff cond_timedwait () + 27
 fffffd7fff2ae931 pthread_cond_timedwait () + 9
 fffffd7ffe62e9ff RTSemEventWait () + 12f
 fffffd7ffa6296cd _Z15threadRemoteUSBP11RTTHREADINTPv () + 4d
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 10 / thread# 10  --------------------
 fffffd7fff21c08d memset () + 3d
 fffffd7ffa2509ae tcg_gen_code_common () + 48e
 fffffd7ffa251372 dyngen_code () + 22
 fffffd7ffa242c4d cpu_x86_gen_code () + 6d
 fffffd7ffa240d43 tb_gen_code () + f3
 fffffd7ffa2640cb emulate_single_instr () + 5b
 fffffd7ffa23e753 cpu_x86_exec () + 773
 fffffd7ffa23c9c7 REMR3EmulateInstruction () + 87
 fffffd7ffa44c658 _Z28emR3ExecuteInstructionWorkerP2VMP5VMCPUi () + 108
 fffffd7ffa44d5fd emR3RawHandleRC () + 1fd
 fffffd7ffa44ddbb emR3RawExecute () + fb
 fffffd7ffa44bdb6 EMR3ExecuteVM () + 546
 fffffd7ffa3eaa92 _Z25vmR3EmulationThreadWithIdP11RTTHREADINTP6UVMCPUj () + 102
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 11 / thread# 11  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62f5b6 _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 206
 fffffd7ffa649c08 _ZN10HGCMThread6MsgGetEPP11HGCMMsgCore () + 38
 fffffd7ffa64a11e _Z10hgcmMsgGetjPP11HGCMMsgCore () + 4e
 fffffd7ffa64a7d0 _Z17hgcmServiceThreadjPv () + 30
 fffffd7ffa649539 _Z20hgcmWorkerThreadFuncP11RTTHREADINTPv () + 39
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 12 / thread# 12  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62f5b6 _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 206
 fffffd7ffa649c08 _ZN10HGCMThread6MsgGetEPP11HGCMMsgCore () + 38
 fffffd7ffa64a11e _Z10hgcmMsgGetjPP11HGCMMsgCore () + 4e
 fffffd7ffa64a7d0 _Z17hgcmServiceThreadjPv () + 30
 fffffd7ffa649539 _Z20hgcmWorkerThreadFuncP11RTTHREADINTPv () + 39
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 13 / thread# 13  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62f5b6 _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 206
 fffffd7ffa649c08 _ZN10HGCMThread6MsgGetEPP11HGCMMsgCore () + 38
 fffffd7ffa64a11e _Z10hgcmMsgGetjPP11HGCMMsgCore () + 4e
 fffffd7ffa64a7d0 _Z17hgcmServiceThreadjPv () + 30
 fffffd7ffa649539 _Z20hgcmWorkerThreadFuncP11RTTHREADINTPv () + 39
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 14 / thread# 14  --------------------
 fffffd7fff2bd04a sigtimedwait (fffffd7ffdabdeb0, fffffd7ffdabdc40, 0)
 fffffd7fff2a63e4 sigwaitinfo () + c
 fffffd7ffe63257e _Z13rttimerThreadP11RTTHREADINTPv () + 38e
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 15 / thread# 15  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62f5b6 _Z19rtSemEventMultiWaitP23RTSEMEVENTMULTIINTERNALjb () + 206
 fffffd7ffa649c08 _ZN10HGCMThread6MsgGetEPP11HGCMMsgCore () + 38
 fffffd7ffa64a11e _Z10hgcmMsgGetjPP11HGCMMsgCore () + 4e
 fffffd7ffa64a7d0 _Z17hgcmServiceThreadjPv () + 30
 fffffd7ffa649539 _Z20hgcmWorkerThreadFuncP11RTTHREADINTPv () + 39
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 16 / thread# 16  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62eaa9 RTSemEventWait () + 1d9
 fffffd7ff9ecbae1 _Z14ataAsyncIOLoopP11RTTHREADINTPv () + 161
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 17 / thread# 17  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62eaa9 RTSemEventWait () + 1d9
 fffffd7ff9ecbae1 _Z14ataAsyncIOLoopP11RTTHREADINTPv () + 161
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 18 / thread# 18  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62eaa9 RTSemEventWait () + 1d9
 fffffd7ff9f423d1 _Z10drvNATRecvP9PDMDRVINSP9PDMTHREAD () + 41
 fffffd7ffa45de31 _Z15pdmR3ThreadMainP11RTTHREADINTPv () + 41
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 19 / thread# 19  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62eaa9 RTSemEventWait () + 1d9
 fffffd7ff9f42461 _Z13drvNATUrgRecvP9PDMDRVINSP9PDMTHREAD () + 41
 fffffd7ffa45de31 _Z15pdmR3ThreadMainP11RTTHREADINTPv () + 41
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 20 / thread# 20  --------------------
 fffffd7fff2bdbba pollsys  (6261fb0, 4, fffffd7ff9d2aeb0, 0)
 fffffd7fff25bcca poll () + 62
 fffffd7ff9f43002 _Z19drvNATAsyncIoThreadP9PDMDRVINSP9PDMTHREAD () + 122
 fffffd7ffa45de31 _Z15pdmR3ThreadMainP11RTTHREADINTPv () + 41
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 21 / thread# 21  --------------------
 fffffd7fff2bd16a accept   (1d, 0, 0, 1)
 fffffd7ffe85f638 accept () + 10
 fffffd7ff9f3c3a8 _Z22drvNamedPipeListenLoopP11RTTHREADINTPv () + 38
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 22 / thread# 22  --------------------
 fffffd7fff2bcf8a nanosleep (fffffd7ff9c88de0, fffffd7ff9c88dd0)
 fffffd7ffe631e1e RTThreadSleep () + 5e
 fffffd7ff9f3c22f _Z16drvNamedPipeReadP10PDMISTREAMPvPm () + 7f
 fffffd7ff9f3bb52 _Z18drvCharReceiveLoopP11RTTHREADINTPv () + 62
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
-----------------  lwp# 23 / thread# 23  --------------------
 fffffd7fff2b4de7 lwp_park (0, 0, 0)
 fffffd7fff2ae190 cond_wait_queue () + 68
 fffffd7fff2ae763 __cond_wait () + 7b
 fffffd7fff2ae7bb cond_wait () + 23
 fffffd7fff2ae7f1 pthread_cond_wait () + 9
 fffffd7ffe62eaa9 RTSemEventWait () + 1d9
 fffffd7ff9f3ba5a _Z15drvCharSendLoopP11RTTHREADINTPv () + 3a
 fffffd7ffe5f2a9c rtThreadMain () + 2c
 fffffd7ffe631c95 _Z18rtThreadNativeMainPv () + 75
 fffffd7fff2b4ae4 _thrp_setup () + bc
 fffffd7fff2b4da0 _lwp_start ()
#

this is with Virtualbox 3.2.8 on opensolaris b134 on amd64 (both guest and host)

Attachments

VBox.log.1 Download (256.0 KB) - added by hajma 4 years ago.
I experienced a vbox crash while using the provided additions. not sure how related it is.

Change History

comment:1 Changed 4 years ago by hajma

using an unused id lead to a kernel panic

test@opensolaris:~$ pfexec mount -F vboxfs -o uid=1234,gid=1234 sharedsources /export/home/test/a
test@opensolaris:~$ ls -ln a/testdir
total 1
-rw-r--r-- 1 1234 1234 0 2010-08-09 22:08 a
-rw-r--r-- 1 1234 1234 6 2010-08-09 17:01 aa
-rw-r--r-- 1 1234 1234 0 2010-08-09 22:11 b
-rw-r--r-- 1 1234 1234 0 2010-08-09 22:25 c
test@opensolaris:~$ ls -ln a/testdir2
total 0
test@opensolaris:~$ touch a/testdir2/c
Connection to localhost closed.
Aug  9 22:28:08 opensolaris ^Mpanic[cpu0]/thread=e0004ee0:
Aug  9 22:28:08 opensolaris genunix: [ID 335743 kern.notice] BAD TRAP: type=e (#pf Page fault) rp=d1bd3a70 addr=28 occurred in module "vboxfs" due to a NULL pointer dereference
Aug  9 22:28:08 opensolaris unix: [ID 100000 kern.notice]
Aug  9 22:28:08 opensolaris unix: [ID 839527 kern.notice] touch:
Aug  9 22:28:08 opensolaris unix: [ID 753105 kern.notice] #pf Page fault
Aug  9 22:28:08 opensolaris unix: [ID 532287 kern.notice] Bad kernel fault at addr=0x28
Aug  9 22:28:08 opensolaris unix: [ID 243837 kern.notice] pid=672, pc=0xf8921c71, sp=0xe3755a00, eflags=0x10246
Aug  9 22:28:08 opensolaris unix: [ID 211416 kern.notice] cr0: 8005003b<pg,wp,ne,et,ts,mp,pe> cr4: 698<xmme,fxsr,pge,pse,de>
Aug  9 22:28:08 opensolaris unix: [ID 624947 kern.notice] cr2: d3232c87
Aug  9 22:28:08 opensolaris unix: [ID 625075 kern.notice] cr3: 56761000
Aug  9 22:28:08 opensolaris unix: [ID 100000 kern.notice]
Aug  9 22:28:08 opensolaris unix: [ID 537610 kern.notice]        gs:      1b0  fs: dded0000  es: e3750160  ds: d1bd0160
Aug  9 22:28:08 opensolaris unix: [ID 537610 kern.notice]       edi: e3755a00 esi:        0 ebp: d1bd3ae4 esp: d1bd3aa8
Aug  9 22:28:08 opensolaris unix: [ID 537610 kern.notice]       ebx:        0 edx: e0004ee0 ecx: d0837180 eax:        0
Aug  9 22:28:08 opensolaris unix: [ID 537610 kern.notice]       trp:        e err:        0 eip: f8921c71  cs:      158
Aug  9 22:28:08 opensolaris unix: [ID 717149 kern.notice]       efl:    10246 usp: e3755a00  ss: d1bd3adc
Aug  9 22:28:08 opensolaris unix: [ID 100000 kern.notice]
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd39ac unix:die+93 (e, d1bd3a70, 28, 0)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3a5c unix:trap+1449 (d1bd3a70, 28, 0)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3a70 unix:cmntrap+7c (1b0, dded0000, e375)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3ae4 vboxfs:sffs_create+191 (e3755a00, de509b4b,)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3b44 genunix:fop_create+c2 (e3755a00, de509b4b,)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3ba4 lofs:lo_create+52 (e3874dc0, de509b4b,)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3c04 genunix:fop_create+c2 (e3874dc0, de509b4b,)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3d34 genunix:vn_createat+5d1 (8047e9a, 0, d1bd3dd)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3e74 genunix:vn_openat+1ea (8047e9a, 0, 2982, 1)
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3f64 genunix:copen+426 (ffd19553, 8047e9a, )
Aug  9 22:28:08 opensolaris genunix: [ID 353471 kern.notice] d1bd3f84 genunix:open64+20 (8047e9a, 981, 1b6, )
Aug  9 22:28:08 opensolaris unix: [ID 100000 kern.notice]
Aug  9 22:28:08 opensolaris genunix: [ID 672855 kern.notice] syncing file systems...
Aug  9 22:28:08 opensolaris genunix: [ID 904073 kern.notice]  done

comment:2 Changed 4 years ago by ramshankar

Please paste output of "pkginfo -l SUNWvboxguest" and "md5sum /usr/kernel/fs/amd64/vboxfs" from the guest.

I'm not able to reproduce the error with the panic you mentioned above.

comment:3 Changed 4 years ago by hajma

test@opensolaris:~$ pkginfo -l SUNWvboxguest
   PKGINST:  SUNWvboxguest
      NAME:  Oracle VM VirtualBox Guest Additions
  CATEGORY:  application
      ARCH:  i386
   VERSION:  3.2.8,REV=r64453.2010.08.05.14.52
   BASEDIR:  /
    VENDOR:  Oracle Corporation
      DESC:  Oracle VM VirtualBox Guest Additions for Solaris guests
    PSTAMP:  vboxguest20100805145230_r64453
  INSTDATE:  Aug 07 2010 22:13                                                                                                                
   HOTLINE:  Please contact your local service provider
     EMAIL:  info@virtualbox.org
    STATUS:  completely installed
     FILES:       72 installed pathnames
                   3 linked files
                   4 directories
                  19 executables
               32996 blocks used (approx)
test@opensolaris:~$ md5sum /usr/kernel/fs/amd64/vboxfs
f141152c70507fc822ed41a37f16673d  /usr/kernel/fs/amd64/vboxfs

comment:4 follow-up: ↓ 5 Changed 4 years ago by ramshankar

I managed to trigger a reboot when I marked the file system as "read only" (on the host) and tried to touch a file. I've fixed this and some other fixes relating to permissions and panics. I will shortly upload a test binary, could you try this out to see if it fixes some of your problems?

comment:5 in reply to: ↑ 4 Changed 4 years ago by hajma

Replying to ramshankar:

I managed to trigger a reboot when I marked the file system as "read only" (on the host) and tried to touch a file. I've fixed this and some other fixes relating to permissions and panics. I will shortly upload a test binary, could you try this out to see if it fixes some of your problems?

sure :-)

comment:6 Changed 4 years ago by ramshankar

Here is the new ISO:  http://www.virtualbox.org/download/testcase/VBoxGuestAdditions-r64670.iso (link expires in 14 days)

Make a backup of your existing VM if necessary. Also make sure you've installed the new ones (pkginfo -l, modinfo | grep vb should show 64670).

Thanks!

comment:7 Changed 4 years ago by hajma

there is something wrong with your package:

## Executing postinstall script.
Uncompressing files...
Configuring VirtualBox guest kernel module...
devfsadm: driver failed to attach: vboxguest
Warning: Driver (vboxguest) successfully added to system but failed to attach
## Aborting due to attach failure.
devfsadm: driver failed to attach: vboxguest
Creating links...
(*) X.Org not found, skipped configuring X.Org guest additions.
Installing 64-bit shared folders module...
Installing 32-bit shared folders module...
Configuring service...
devfsadm: driver failed to attach: vboxguest
Updating boot archive...
Done.
If you have just un-installed the previous guest additions a REBOOT is required.

Installation of <SUNWvboxguest> was successful.
test@opensolaris:~$ ls -l /dev/vboxguest 
lrwxrwxrwx 1 root other 43 2010-08-14 23:50 /dev/vboxguest -> ../devices/pci@0,0/pci80ee,cafe@4:vboxguest
test@opensolaris:~$ ls -l /dev/devices/pci@0,0/pci80ee,cafe@4:vboxguest
ls: cannot access /dev/devices/pci@0,0/pci80ee,cafe@4:vboxguest: No such file or directory

comment:8 follow-up: ↓ 9 Changed 4 years ago by ramshankar

Could you try rebooting the guest after this install and see if it works?

comment:9 in reply to: ↑ 8 Changed 4 years ago by hajma

Replying to ramshankar:

Could you try rebooting the guest after this install and see if it works?

I did that already

what i did: pkgrm old additions reboot pkgadd new additions reboot

comment:10 Changed 4 years ago by hajma

pkgrm old additions
reboot
pkgadd new additions
reboot

Changed 4 years ago by hajma

I experienced a vbox crash while using the provided additions. not sure how related it is.

comment:11 Changed 4 years ago by ramshankar

When you used the new additions, do you get the panic in the guest with the shared folders?

comment:12 Changed 4 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use